konakona
CentOS卸载自带Apache问题解决
CentOS卸载自带Apache问题解决

1、# rpm -qa|grep httpd,查看与httpd相关软件包。

 httpd-2.2.3-11.el5_2.centos.4

 

2、然后删除httpd:

# rpm -e httpd

 

出现问题:

 error: Failed dependencies:

httpd >= 2.2.0 is needed by (installed) gnome-user-share-0.10-6.el5.i386

 

3、还有一个相关的软件包没有删除,清除之,即:

#rpm -e gnome-user-share

 

4、再删除httpd

 

# rpm -e httpd

 

#可以使用参数–nodeps的意思就是不管各个程序包间的依赖关系。

#rpm -e –nodeps httpd //这样不需要删除gnome-user-share了

赞赏
https://secure.gravatar.com/avatar/3b712b34a0e1b689cfb524c9c6bcdc47?s=256&r=g

团哥

文章作者

继续玩我的CODE,让别人说去。 低调,就是这么自信。

发表评论

textsms
account_circle
email

  • https://secure.gravatar.com/avatar/?s=80&r=g
    Mr.

    恍惚间,小丫头已经变成一个如此专业的攻城湿了,嗯,仔细想想其实也不短了。3年?哈哈,好吧。总之 加油!

    7年前回复
    • https://secure.gravatar.com/avatar/3b712b34a0e1b689cfb524c9c6bcdc47?s=80&r=g
      团哥博主

      @Mr.: 3年已经很晚了,如果能跟真正专业的团队在一起磨练、提升自己,相比1年半的时间会比现在的我更出色。

      7年前回复

konakona

CentOS卸载自带Apache问题解决
1、# rpm -qa|grep httpd,查看与httpd相关软件包。  httpd-2.2.3-11.el5_2.centos.4   2、然后删除httpd: # rpm -e httpd   出现问题:  error: Failed dependenc…
扫描二维码继续阅读
2013-04-27